package be.iminds.ilabt.jfed.ui.cli2;

/**
 * Exception in CLI, including exit code.
 *
 * This is meant to be passed to the top level CLI handling code, which will exit, returning the exit code
 */
public class CliExitException extends Exception {
    private final Context.ExitReason exitCode;

    public CliExitException(Context.ExitReason exitCode) {
        this.exitCode = exitCode;
    }

    public CliExitException(Context.ExitReason exitCode, String s) {
        super(s);
        this.exitCode = exitCode;
    }

    public CliExitException(Context.ExitReason exitCode, String s, Throwable throwable) {
        super(s, throwable);
        this.exitCode = exitCode;
    }

    public CliExitException(Context.ExitReason exitCode, Throwable throwable) {
        super(throwable);
        this.exitCode = exitCode;
    }

    public CliExitException(Context.ExitReason exitCode, String s, Throwable throwable, boolean b, boolean b1) {
        super(s, throwable, b, b1);
        this.exitCode = exitCode;
    }

    public Context.ExitReason getExitReason() {
        return exitCode;
    }
    public int getExitCode() {
        return exitCode.getExitVal();
    }
}
